### Hierarchy

- DataRequestRepositoryImpl

### Implements

- DataRequestRepository

## Index

### Constructors

- constructor

### Methods

- getRequests
- getRequestsGraph
- grantAccessForClient
- grantAccessForOffer
- requestPermissions
- revokeAccessForClient

## Constructors

### constructor

- new DataRequestRepositoryImpl(transport: HttpTransport): DataRequestRepositoryImpl

- - Defined in repository/requests/DataRequestRepositoryImpl.ts:16

  #### Parameters

  - ##### transport: HttpTransport

  #### Returns DataRequestRepositoryImpl

## Methods

### getRequests

- getRequests(fromPk: string | null, toPk: string | null): Promise<Array<DataRequest>>

- Implementation of DataRequestRepository.getRequests

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:54

  #### Parameters

  - ##### fromPk: string | null

  - ##### toPk: string | null

  #### Returns Promise<Array<DataRequest>>

### getRequestsGraph

- getRequestsGraph(data: InputGraphData): Promise<OutputGraphData>

- Implementation of DataRequestRepository.getRequestsGraph

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:22

  #### Parameters

  - ##### data: InputGraphData

  #### Returns Promise<OutputGraphData>

### grantAccessForClient

- grantAccessForClient(dataRequests: Array<DataRequest>): Promise<void>

- Implementation of DataRequestRepository.grantAccessForClient

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:38

  #### Parameters

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

### grantAccessForOffer

- grantAccessForOffer(offerSearchId: number, clientPk: string, encryptedClientResponse: string, priceId: number): Promise<void>

- Implementation of DataRequestRepository.grantAccessForOffer

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:68

  #### Parameters

  - ##### offerSearchId: number

  - ##### clientPk: string

  - ##### encryptedClientResponse: string

  - ##### priceId: number

  #### Returns Promise<void>

### requestPermissions

- requestPermissions(toPk: string, dataRequests: Array<DataRequest>): Promise<void>

- Implementation of DataRequestRepository.requestPermissions

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:30

  #### Parameters

  - ##### toPk: string

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

### revokeAccessForClient

- revokeAccessForClient(dataRequests: Array<DataRequest>): Promise<void>

- Implementation of DataRequestRepository.revokeAccessForClient

  - Defined in repository/requests/DataRequestRepositoryImpl.ts:46

  #### Parameters

  - ##### dataRequests: Array<DataRequest>

  #### Returns Promise<void>

Generated using TypeDoc